## org.eclipse.emf.edit.ui.provider
Class ExtendedColorRegistry

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.ExtendedColorRegistry

    public class ExtendedColorRegistry

extends java.lang.Object

A color registry for converting a color description into an actual color.

See Also:
  `IItemColorProvider`

Field Summary
`protected Display` `display`
`static ExtendedColorRegistry` `INSTANCE`
`protected java.util.HashMap<java.util.Collection<?>,Color>` `table`

Constructor Summary
`ExtendedColorRegistry()`
`ExtendedColorRegistry(Display display)`

Method Summary
`Color` `getColor(Color foregroundColor, Color backgroundColor, java.lang.Object object)`
`protected void` `handleDisplayDispose()`
`protected void` `hookDisplayDispose(Display display)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ExtendedColorRegistry INSTANCE

### display

    protected Display display

### table

    protected java.util.HashMap<java.util.Collection<?>,Color> table

Constructor Detail

### ExtendedColorRegistry

    public ExtendedColorRegistry()

### ExtendedColorRegistry

    public ExtendedColorRegistry(Display display)

Method Detail

### getColor

    public Color getColor(Color foregroundColor,
                          Color backgroundColor,
                          java.lang.Object object)

### handleDisplayDispose

    protected void handleDisplayDispose()

### hookDisplayDispose

    protected void hookDisplayDispose(Display display)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.